%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	ExtUtils-Depends

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	Perl Extutils::Depends Module.
Name:		perl-%{perlname}
Version:	0.205
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=ExtUtils+Depends
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl Extutils::Depends Module.
For more details see: http://search.cpan.org/search?module=ExtUtils+Depends

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.205-3
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.205-3
- Rebuild against perl 5.8.8
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.205-2
- Rebuild against perl 5.8.7
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.205-1
- Version update
* Sun Jun 06 2004 Christian Metzen <metzench@ccux.de> 0.202-1
- Initial Release
